// ==============================================================
// DEFINIR LAS COORDENADAS DE LOS OBJETOS EN CADA MAPA
// ==============================================================
// Siguen la siguiente estructura, ordenados correlativamente por mapa
//
// .db , TIPO DE OBJETO, POSICION X, POSICION Y, DATOS
//
// .db , 0  , X, Y  --> La primera linea siempre es la del jugador 1 (posición del array = 0)
// .db , 1  , X, Y  --> La segunda linea siempre es la del jugador 2 (posición del array = 1)
//
// .db , 2  , X, Y  --> (2) Objeto Item, que podrá ser de hechizos, vidas...
//
// .db , 255, 0, 0  --> Indica fin de la lista de objetos del nivel
//                        La siguiente línea ya corresponde al siguiente nivel
// 
//
void initObjetos() __naked {
   
   __asm
   _objeto::
      
      // MAPA 1
      .db 0,  24, 168   // (0) Jugador 1
      .db 1,  53,  48   // (1) Jugador 2
      .db 2,  20,  69   // (2) Item // este
      .db 2,  76,  77   // (2) Item
      .db 2,   4, 173   // (2) Item
      .db 2,  40, 173   // (2) Item
      .db 2,  36,  53   // (2) Item
      .db 255,0,0       // (255) END

      // MAPA 2
      .db 0,   8, 104   // (0) Jugador 1
      .db 1,  50,  48   // (1) Jugador 2
      .db 2,  48,  77   // (2) Item
      .db 2,   4, 109   // (2) Item
      .db 2,  44,  77   // (2) Item
      .db 2,  72, 109   // (2) Item
      .db 2,   0, 173   // (2) Item
      .db 255,0,0       // (255) END

      // MAPA 3
      .db 0,  16,  48   // (0) Jugador 1
      .db 1,  60, 168   // (1) Jugador 2
      .db 2,   0, 173   // (2) Item
      .db 2,   0, 149   // (2) Item
      .db 2,   0, 125   // (2) Item
      .db 2,   0, 101   // (2) Item
      .db 2,  76,  53   // (2) Item
      .db 255,0,0       // (255) END

      // MAPA 4
      .db 0,   8,  80   // (0) Jugador 1
      .db 1,  68, 104   // (1) Jugador 2
      .db 2,  28,  53   // (2) Item
      .db 2,  40, 173   // (2) Item
      .db 2,  40,  85   // (2) Item
      .db 2,   0, 173   // (2) Item
      .db 2,  76, 173   // (2) Item
      .db 255,0,0       // (255) END

      // MAPA 5
      .db 0,  8,  128   // (0) Jugador 1
      .db 1,  68,  64   // (1) Jugador 2
      .db 2,  12, 173   // (2) Item
      .db 2,  48, 117   // (2) Item
      .db 2,  76,  53   // (2) Item
      .db 2,   16, 93   // (2) Item
      .db 2,  40, 149   // (2) Item
      .db 255,0,0       // (255) END

   __endasm;
}
