## ========================================
## IMPORTANTE:
## Para que funcione se necesita tener instalado
## ed
## dos2unix
##
## ========================================
## Definir las variables necesarias
## ========================================
PROYECTO=bewitch
CARPETA=bewitched
CARPETA_LOADER=loader
IDSK=${CPCT_PATH}/tools/iDSK-0.13/bin/iDSK.exe
CPC2CDT=${CPCT_PATH}/tools/cpc2cdt/bin/cpc2cdt
## ========================================
## Inicializar el temporizador y 
## mostrar la fecha de inicio
## ========================================
SECONDS=0
echo
date
echo
## ========================================
## Eliminar los archivos anteriores
## .DSK. CDT .SNA
## ========================================
if test -f "./${CARPETA}/${PROYECTO}.dsk"; then
	rm ./${CARPETA}/${PROYECTO}.dsk
fi
if test -f "./${CARPETA}/${PROYECTO}.cdt"; then
	rm ./${CARPETA}/${PROYECTO}.cdt
fi
if test -f "./${CARPETA}/${PROYECTO}.sna"; then
	rm ./${CARPETA}/${PROYECTO}.sna
fi
if test -f "./${CARPETA_LOADER}/${PROYECTO}.cdt"; then
	rm ./${CARPETA_LOADER}/${PROYECTO}.cdt
fi
if test -f "./${PROYECTO}.dsk"; then
	rm ./${PROYECTO}.dsk
fi
if test -f "./${PROYECTO}.cdt"; then
	rm ./${PROYECTO}.cdt
fi
if test -f "./${PROYECTO}.sna"; then
	rm ./${PROYECTO}.sna
fi
## ========================================
## Entrar en la carpeta del proyecto y compilar. 
## Creará los archivos .DSK .SNA
## y el .CDT con el miniloader por defecto
## ========================================
cd ${CARPETA}
make cleanall
#make clean
#make recode
#make all 
make
## ========================================
## Añadir archivos al .DSK
##
## (1)- Archivo 'bewitch.bas' - Primero convertimos el formato con 'unix2dos' -
## ========================================
echo Añadir los archivos del loader el disco
echo - ${PROYECTO}.bas
unix2dos ./src/${CARPETA_LOADER}/${PROYECTO}.bas
$IDSK ./${PROYECTO}.dsk -i ./src/loader/${PROYECTO}.bas -t 0
## ========================================
## (2)- Archivo 'loader.scr'
##		Que lo obtenemos renombrando el screen.bin a loader.scr
## ========================================
echo - loader.scr
if test -f ./src/loader/screen.bin ; then
	if test -f ./${CARPETA}/src/loader/loader.scr ; then
		rm ./src/loader/loader.scr
	fi
	mv ./src/loader/screen.bin ./src/loader/loader.scr
fi
$IDSK ./${PROYECTO}.dsk -i ./src/loader/loader.scr
## ========================================
## (3)- Archivo 'disc.bas'
## ========================================
echo - disc.bas
cp ./src/loader/${PROYECTO}.bas ./src/loader/disc.bas
$IDSK ./${PROYECTO}.dsk -i ./src/loader/disc.bas -t 0
rm ./src/loader/disc.bas 
## ========================================
## (4)- Archivo 'loader.bas'
## ========================================
echo - loader.bas
unix2dos ./src/loader/loader.bas
$IDSK ./${PROYECTO}.dsk -i ./src/loader/loader.bas -t 0
## ========================================
## Movemos los archivos .DSK .SNA .CDT
## al mismo nivel del ./build.sh
## ========================================
cd ..
mv ./${CARPETA}/${PROYECTO}.dsk ./${PROYECTO}.dsk
mv ./${CARPETA}/${PROYECTO}.sna ./${PROYECTO}.sna
mv ./${CARPETA}/${PROYECTO}.cdt ./${PROYECTO}.cdt
## ========================================
## Mostrar el tiempo transcurrido
## ========================================
echo
date
duration=$SECONDS
echo "TIEMPO TOTAL: $(($duration / 60)) minutos y $(($duration % 60)) segundos"
echo
## ========================================
## Lanzar el compilador para el formato .CDT
## con el miniloader personalizado
## ========================================
./buildtape.sh
## ========================================
## Lanzar el emulador
## ========================================
#cpct_rvm ${PROYECTO}.dsk
#cpct_rvm ${PROYECTO}.sna
#cpct_winape ${PROYECTO}.sna