## ========================================
## Definir las variables necesarias
##
PROYECTO=bewitch
CARPETA=bewitched
CARPETA_LOADER=loader
IDSK=${CPCT_PATH}/tools/iDSK-0.13/bin/iDSK.exe
CPC2CDT=${CPCT_PATH}/tools/cpc2cdt/bin/cpc2cdt
## ========================================
# CREACIÓN DEL .CDT
## ========================================
echo 
echo --------------------
echo -  CREACIÓN DEL CDT -
echo --------------------
echo
## ========================================
## Modificar los datos de las direcciones de memoria
## del 'main.c'
##
# Datos necesarios:
# ----------------
# - Load Address: obj/binaryAddresses.log | Linea 2 | Caracter 16 a 19
# - Run  Address: obj/binaryAddresses.log | Linea 3 | Caracter 16 a 19
# - Game BIN Size: (lo que ocupa el binario): tamaño del archivo obk/duelo.bin
# - Highest Address: El Game BIN Size pasado a HEX
# 
echo - Modificar las direcciones de memoria en el main.c del loader
cd ${CARPETA_LOADER}
LOAD_ADDR=`grep Load ../${CARPETA}/obj/binaryAddresses.log | cut -c 16-19`
sed -i '4d' ./src/main.c
sed -i "4i#define GAME_LOAD_ADDRESS 0x$LOAD_ADDR" ./src/main.c
RUN_ADDR=`grep Run ../${CARPETA}/obj/binaryAddresses.log | cut -c 16-19`
sed -i '6d' ./src/main.c
sed -i "6i#define GAME_RUN_ADDRESS 0x$RUN_ADDR" ./src/main.c
BIN_SIZE=`stat -c %s ../${CARPETA}/obj/${PROYECTO}.bin`
sed -i '7d' ./src/main.c
sed -i "7i#define GAME_BIN_SIZE $BIN_SIZE" ./src/main.c
HEX_NUMBER=`printf "%X\n" ${BIN_SIZE}`
sed -i '5d' ./src/main.c
sed -i "5i#define GAME_HIGHEST_ADDR 0x$HEX_NUMBER" ./src/main.c
## ========================================
## Compilar el proyecto
## ========================================
#unix2dos ./src/loader/bewitch.bas
echo - Compilar el proyecto
#make cleanall
#make clean
make
#make all
#$CPC2CDT -t -b 2000 -m cpc  -r loader.scr ../bewitched/src/loader/loader.scr ../${PROYECTO}.cdt
#$CPC2CDT -t -b 2000 -m cpc  -r bewitch.bin ../bewitched/obj/bewitch.bin ../${PROYECTO}.cdt
## ========================================
## Mover el archivo .CDT al nivel del ./buildtape.sh
## ========================================
mv ./${PROYECTO}.cdt ./../${PROYECTO}.cdt
echo
## ========================================
## Mostrar el tiempo transcurrido
## ========================================
date
duration=$SECONDS
echo "TIEMPO TOTAL: $(($duration / 60)) minutos y $(($duration % 60)) segundos"
echo
## ========================================
## Lanzar el emulador
## ========================================
cd ..
#playtzx.exe bewitch.cdt -voc
cpct_rvm ${PROYECTO}.cdt
#cpct_winape ${PROYECTO}.cdt